services:
  postgres-restore:
    image: postgres:16
    container_name: pg_restore
    environment:
      POSTGRES_USER: etudiant
      POSTGRES_PASSWORD: Isep2026!
      POSTGRES_DB: gestion_ecole
    volumes:
      - pg_data_restore:/var/lib/postgresql/data
    ports:
      - "5434:5432"
    networks:
      - isep_net

volumes:
  pg_data_restore:
    driver: local

networks:
  isep_net:
    driver: bridge
